/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * include/isupport.h: ISUPPORT/005 numeric tokens
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: isupport.h,v 1.5 2002/11/19 23:47:12 rageircd Exp $
 */

#ifndef __isupport_include__
#define __isupport_include__

#include "conf2.h"

extern char isupport_one[512];
extern char isupport_two[512];

#define ISUPPORT_CHANMODES		"bovhaeI,k,l,imnprRstcOASCN"
#define ISUPPORT_CHANTYPES		"#&"
#define ISUPPORT_PREFIX			"(ohv)@%+"

#define ISUPPORT_ONE_FEATURES		"SAFELIST %s%sEXCEPTS INVEX WALLCHOPS PRIVACY CASEMAPPING=ascii " \
					"SILENCE=%d WATCH=%d"
#define ISUPPORT_ONE_PARAMS		(ALLOWMAP == 1) ? "MAP " : "", (ALLOWKNOCKS == 1) ? "KNOCK " : "", \
					MAXSILES, MAXWATCH

#define ISUPPORT_TWO_FEATURES		"MODES=%d MAXCHANNELS=%d MAXBANS=%d MAXTARGETS=%d NICKLEN=%d TOPICLEN=%d " \
					"CHANMODES=%s CHANTYPES=%s PREFIX=%s NETWORK=%s"
#define ISUPPORT_TWO_PARAMS		MAXMODEPARAMS, MAXCHANSPERUSER, MAXBANS, MAXTARGETS, NICKLEN, TOPICLEN, \
					ISUPPORT_CHANMODES, ISUPPORT_CHANTYPES, ISUPPORT_PREFIX, IRCNETWORK005

#endif /* __isupport_include__ */
