/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * include/patchlevel.h: patchlevel header file
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: patchlevel.h,v 1.42 2002/12/22 18:11:44 rageircd Exp $
 */

#ifndef __patchlevel_include__
#define __patchlevel_include__

#include "config.h"
#include "setup.h"

#define	BASENAME	"rage"
#define	CODENAME	"bluemoon"
#define	MAJOR		2
#define	MINOR		0
#define REVISION	0

#define	PATCH1		".beta-1"
#define	PATCH2		""
#define	PATCH3		""
#define	PATCH4		""
#define	PATCH5		""

#ifdef OS_CYGWIN
#define WIN32PATCH	".win32"
#else
#define WIN32PATCH	""
#endif

#ifdef DEBUGMODE
#define DEBUGPATCH	"(debug)"
#else
#define DEBUGPATCH	""
#endif

#define	DEVEL		1
#define	BETA		2
#define	RELEASE		3
#define	STABLE		4
#define	SERIESSTATUS	BETA
#define	PATCHES		PATCH1 PATCH2 PATCH3 PATCH4 PATCH5 WIN32PATCH DEBUGPATCH

#define MODULE_VERSION	4

#undef INCLUDE_BUILD_REVISION

#endif /* __patchlevel_include__ */
