/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * modules/m_dummy.c: DUMMY command module
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: m_dummy.c,v 1.11 2002/12/15 21:26:17 rageircd Exp $
 */

#include "config.h"
#include "struct.h"
#include "common.h"
#include "sys.h"
#include "numeric.h"
#include "msg.h"
#include "channel.h"
#include "h.h"
#include "memory.h"
#include <time.h>
#include <sys/stat.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>

#ifndef STATIC_MODULES
Module _module_header = {
	"modules/m_dummy.so",	/* Module name */
	"DUMMY module",		/* Module description */
	4,			/* Module system version */
	"$Revision: 1.11 $",	/* Module CVS revision */
	0, NULL, NULL
};
void _module_load() {
	addCommand("DUMMY",	/* Command name called via IRC */
		m_dummy,	/* Function that handles command */
		MAXPARA,	/* Maximum parameters */
		MSG_NONE);	/* MSG flags:
				 *
				 * MSG_NONE - no flags (default)
				 * MSG_UNREGUSE - allow unregistered use
				 * MSG_RESETIDLE - reset idle time if called
				 *
				 * EG: addCommand("DUMMY", m_dummy, MAXPARA, MSG_UNREGUSE|MSG_RESETIDLE);
				 */
	return;
}
void _module_unload() {
	delCommand("DUMMY",	/* Command name called via IRC */
		m_dummy);	/* Function that handles command */
	return;
}
#endif

/*
 * m_dummy
 *	parv[0] = sender prefix
 */
int m_dummy(aClient *cptr, aClient *sptr, int parc, char *parv[])
{
	sendto_one(sptr, ":%s NOTICE %s :*** I'm a dummy module!", me.name, parv[0]);
	return 0;
}
